Subject: RE: bug#10317: PING - bug#10317: patch to su: -l and -p should not be used together

From: "Voelker, Bernhard" <[email-masked]>
Date: Fri, 4 May 2012 11:19:56 +0200

Jim Meyering wrote:

> I tried to use the su from coreutils (with or without your patch)
> and found that it does not work when it attempts to authenticate.
> E.g., it cannot su to any user on this Fedora 17 system.  If su
> remains so broken that it does not work out-of-the-box on F17,
> then it's not worth patching.  Remember that I wanted to remove su
> from coreutils altogether, and only reluctantly agreed to consider
> this change.  If someone who cares about su remaining in coreutils
> wants to take responsibility for making it usable, that'd be great.
> It may be as simple as importing a patch or two from Fedora or Suse.

It (su built from latest git) works here on OpenSuSE-12.1,
so it may be a F17 issue.

OpenSuSE uses su from coreutils BTW.

Have a nice day,
Berny